<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: json_demo.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('json__demo_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">json_demo.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>example of using  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="json__reader_8hpp_source.html">json_reader.hpp</a>&quot;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for json_demo.cpp:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="json__demo_8cpp__incl.svg" width="422" height="187"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a19b67ff851ea9c8cc5c7b46c5cd224d6"><td class="memItemLeft" align="right" valign="top">nlohmann::json&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="json__demo_8cpp.html#a19b67ff851ea9c8cc5c7b46c5cd224d6">generate_demo_json</a> ()</td></tr>
<tr class="memdesc:a19b67ff851ea9c8cc5c7b46c5cd224d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">an example of how the json file must look like  <a href="json__demo_8cpp.html#a19b67ff851ea9c8cc5c7b46c5cd224d6">More...</a><br /></td></tr>
<tr class="separator:a19b67ff851ea9c8cc5c7b46c5cd224d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae66f6b31b5ad750f1fe042a706a4e3d4"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="json__demo_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main</a> ()</td></tr>
<tr class="memdesc:ae66f6b31b5ad750f1fe042a706a4e3d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">this method creates and deletes a json file to be able to use all public methods and prints the results  <a href="json__demo_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4">More...</a><br /></td></tr>
<tr class="separator:ae66f6b31b5ad750f1fe042a706a4e3d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>example of using </p>
<dl class="section author"><dt>Author</dt><dd>Leena Jamil </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classMediaReader.html" title="class containing methods to set the file, return and check for its elements">MediaReader</a> </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>2022-01-03</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2022 </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a19b67ff851ea9c8cc5c7b46c5cd224d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19b67ff851ea9c8cc5c7b46c5cd224d6">&#9670;&nbsp;</a></span>generate_demo_json()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">nlohmann::json generate_demo_json </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>an example of how the json file must look like </p>
<dl class="section return"><dt>Returns</dt><dd>nlohmann::json returns an example json document </dd></dl>

<p class="reference">Referenced by <a class="el" href="json__demo_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main()</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="json__demo_8cpp_a19b67ff851ea9c8cc5c7b46c5cd224d6_icgraph.svg" width="272" height="38"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
</div>

</div>
</div>
<a id="ae66f6b31b5ad750f1fe042a706a4e3d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae66f6b31b5ad750f1fe042a706a4e3d4">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>this method creates and deletes a json file to be able to use all public methods and prints the results </p>
<dl class="section return"><dt>Returns</dt><dd>int </dd></dl>

<p class="reference">References <a class="el" href="classMediaReader.html#a352b413f2fb5352081270de914a5d0f7">MediaReader::contains_value()</a>, <a class="el" href="json__demo_8cpp.html#a19b67ff851ea9c8cc5c7b46c5cd224d6">generate_demo_json()</a>, <a class="el" href="classMediaReader.html#a42aa75542d95e7f42c1e25d44e192591">MediaReader::get_identifier()</a>, <a class="el" href="classMediaReader.html#aea6a1fb36ab4af46b61f56925ba9e82d">MediaReader::get_path()</a>, <a class="el" href="classMediaReader.html#abb08358a7d90598fd96c449d5e947bb5">MediaReader::is_empty()</a>, and <a class="el" href="classMediaReader.html#a18085972f9333f91a8154a291ca8cebb">MediaReader::set_file()</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="json__demo_8cpp_ae66f6b31b5ad750f1fe042a706a4e3d4_cgraph.svg" width="316" height="307"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_a7bb9b575703809b9fbb7ad7f723668f.html">local_app</a></li><li class="navelem"><a class="el" href="dir_d88d79efde80b6be31bde64d01fcf743.html">general_tools</a></li><li class="navelem"><a class="el" href="dir_2d3a4c2c1c598dee72ec5d7c1451157c.html">test</a></li><li class="navelem"><a class="el" href="json__demo_8cpp.html">json_demo.cpp</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
